
coreContainer:
  image: docker.nexus.dataspac.es/core-container:1.1.0
  secrets:
    idsIdentity:
      name: broker-ids-identity-secret

adminUi:
  enabled: false

ids:
  info:
    idsid: urn:ids:tsg:euh4d:training:connectors:MetadataBroker
    curator: urn:ids:tsg:euh4d:training:participants:TSG-Testbed
    maintainer: urn:ids:tsg:euh4d:training:participants:TSG-Testbed
    titles:
      - Metadata Broker
    descriptions:
      - Metadata Broker
    accessUrl:
      - http://{{ template "tsg-connector.fullname" $ }}:8080/infrastructure
      - http://{{ template "tsg-connector.fullname" $ }}:8080/participants
    
  daps:
    url: http://daps:8080/v2

  broker:
    id: urn:ids:tsg:euh4d:training:connectors:MetadataBroker
    address: http://{{ template "tsg-connector.fullname" $ }}:8080/infrastructure
    autoRegister: false

  routes:
    ingress:
      http:
        - endpoint: infrastructure
          dataApp: http://{{ template "tsg-connector.fullname" $ }}-broker-data-app-http:8080/router
        - endpoint: participants
          dataApp: http://{{ template "tsg-connector.fullname" $ }}-broker-data-app-http:8080/participants
  security:
    apiKeys:
      - id: default
        key: APIKEY-ABCDEF123456
        roles:
          - DATA_APP
          - PEF_MANAGER

containers:
- type: data-app
  image: docker.nexus.dataspac.es/data-apps/broker-data-app:develop
  name: broker-data-app
  apiKey: APIKEY-ABCDEF123456
  config:
    connectorSparqlUrl: http://fuseki-fuseki:3030/connectorData
    participantSparqlUrl: http://fuseki-fuseki:3030/participantData
    users:
      admin: $2a$10$rSki.ogyV/eON.v/o9dJFOGSK9XkxTw1g1oC1bxuFux56a7LzH4.6
# - type: helper
#   name: broker-ui
#   image: docker.nexus.dataspac.es/broker/generic-ui:master
#   services:
#   - port: 80
#     name: http
#   environment:
#   - name: BROKER_ACCESSURL
#     value: http://{{ template "tsg-connector.fullname" $ }}-broker-data-app-http:8080/api/
  